* [gentoo-commits] repo/gentoo:master commit in: net-proxy/tinyproxy/files/, net-proxy/tinyproxy/
@ 2016-05-03 19:17 Austin English
0 siblings, 0 replies; 4+ messages in thread
From: Austin English @ 2016-05-03 19:17 UTC (permalink / raw
To: gentoo-commits
commit: d7c7569e1807348c7b217a4cb3e0b7c4603c5f8d
Author: Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Tue May 3 19:10:19 2016 +0000
Commit: Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Tue May 3 19:17:01 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7c7569e
net-proxy/tinyproxy: use #!/sbin/openrc-run instead of #!/sbin/runscript
Gentoo-Bug: https://bugs.gentoo.org/573846
Package-Manager: portage-2.2.26
net-proxy/tinyproxy/files/tinyproxy-1.8.3-r2.initd | 4 +-
net-proxy/tinyproxy/tinyproxy-1.8.3-r4.ebuild | 87 ++++++++++++++++++++++
2 files changed, 89 insertions(+), 2 deletions(-)
diff --git a/net-proxy/tinyproxy/files/tinyproxy-1.8.3-r2.initd b/net-proxy/tinyproxy/files/tinyproxy-1.8.3-r2.initd
index 6342a5d..6569e6d 100644
--- a/net-proxy/tinyproxy/files/tinyproxy-1.8.3-r2.initd
+++ b/net-proxy/tinyproxy/files/tinyproxy-1.8.3-r2.initd
@@ -1,5 +1,5 @@
-#!/sbin/runscript
-# Copyright 1999-2013 Gentoo Foundation
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
diff --git a/net-proxy/tinyproxy/tinyproxy-1.8.3-r4.ebuild b/net-proxy/tinyproxy/tinyproxy-1.8.3-r4.ebuild
new file mode 100644
index 0000000..ac0b0c7
--- /dev/null
+++ b/net-proxy/tinyproxy/tinyproxy-1.8.3-r4.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools systemd user
+
+DESCRIPTION="A lightweight HTTP/SSL proxy"
+HOMEPAGE="http://www.banu.com/tinyproxy/"
+SRC_URI="http://www.banu.com/pub/${PN}/1.8/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 ~arm ia64 ppc sparc x86"
+
+IUSE="test debug +filter-proxy minimal reverse-proxy
+ transparent-proxy +upstream-proxy +xtinyproxy-header"
+
+REQUIRED_USE="test? ( xtinyproxy-header )"
+
+DEPEND="!minimal? ( app-text/asciidoc )"
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} "" "" "" ${PN}
+}
+
+src_prepare() {
+ default
+
+ eapply "${FILESDIR}"/${PN}-1.8.1-ldflags.patch
+ eapply "${FILESDIR}"/${P}-r2-DoS-Prevention.patch
+
+ use minimal && epatch "${FILESDIR}/${PN}-1.8.1-minimal.patch"
+
+ sed -i \
+ -e "s|nobody|${PN}|g" \
+ -e 's|/var/run/|/run/|g' \
+ etc/${PN}.conf.in || die "sed failed"
+
+ sed -i \
+ -e 's|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g' \
+ configure.ac || die
+
+ eautoreconf
+}
+
+src_configure() {
+ if use minimal; then
+ ln -s /bin/true "${T}"/a2x
+ export PATH="${T}:${PATH}"
+ fi
+
+ econf \
+ $(use_enable debug) \
+ $(use_enable filter-proxy filter) \
+ $(use_enable reverse-proxy reverse) \
+ $(use_enable transparent-proxy transparent) \
+ $(use_enable upstream-proxy upstream) \
+ $(use_enable xtinyproxy-header xtinyproxy) \
+ --disable-silent-rules \
+ --localstatedir=/var
+}
+
+src_test() {
+ # The make check target does not run the test suite
+ emake test
+}
+
+src_install() {
+ default
+
+ dodoc AUTHORS ChangeLog NEWS README TODO
+
+ diropts -m0775 -o ${PN} -g ${PN}
+ keepdir /var/log/${PN}
+
+ newinitd "${FILESDIR}"/${PN}-1.8.3-r2.initd tinyproxy
+ systemd_dounit "${FILESDIR}"/${PN}.service
+ systemd_dotmpfilesd "${FILESDIR}"/${PN}.tmpfiles.conf
+}
+
+pkg_postinst() {
+ elog "For filtering domains and URLs, enable filter option in the configuration"
+ elog "file and add them to the filter file (one domain or URL per line)."
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-proxy/tinyproxy/files/, net-proxy/tinyproxy/
@ 2018-10-09 13:46 Ben Kohler
0 siblings, 0 replies; 4+ messages in thread
From: Ben Kohler @ 2018-10-09 13:46 UTC (permalink / raw
To: gentoo-commits
commit: 8c537ceacee34afc593a7dff3224db4131193f5a
Author: Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 9 13:45:50 2018 +0000
Commit: Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Tue Oct 9 13:45:50 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c537cea
net-proxy/tinyproxy: revbump for changed paths in service files
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
net-proxy/tinyproxy/files/tinyproxy-1.10.0.initd | 40 ++++++++++++++++++++++
net-proxy/tinyproxy/files/tinyproxy-1.10.0.service | 9 +++++
...xy-1.10.0.ebuild => tinyproxy-1.10.0-r1.ebuild} | 4 +--
3 files changed, 51 insertions(+), 2 deletions(-)
diff --git a/net-proxy/tinyproxy/files/tinyproxy-1.10.0.initd b/net-proxy/tinyproxy/files/tinyproxy-1.10.0.initd
new file mode 100644
index 00000000000..48688a2c19c
--- /dev/null
+++ b/net-proxy/tinyproxy/files/tinyproxy-1.10.0.initd
@@ -0,0 +1,40 @@
+#!/sbin/openrc-run
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+get_config() {
+ res=$(awk '$1 == "'$1'" { s=$2 } END { print s }' "$CONFFILE")
+
+ if [ "x$res" = "x" ]; then
+ echo "$2"
+ else
+ eval echo "$res"
+ fi
+}
+
+: ${CONFFILE:="/etc/${SVCNAME}/${SVCNAME}.conf"}
+
+command=/usr/bin/tinyproxy
+command_args="-c ${CONFFILE}"
+pidfile=$(get_config PidFile /run/tinyproxy/${SVCNAME}.pid)
+
+depend() {
+ config "$CONFFILE"
+
+ use dns
+
+ [ "$(get_config Syslog Off)" = "On" ] && \
+ use logger
+}
+
+start_pre() {
+ piddir=$(dirname ${pidfile})
+
+ if [ "${piddir}" = "/run" ]; then
+ eerror "Please change your PidFile settings to be within the"
+ eerror "/run/tinyproxy directory"
+ eend 1
+ else
+ checkpath -d -o $(get_config User tinyproxy):$(get_config Group tinyproxy) ${piddir}
+ fi
+}
diff --git a/net-proxy/tinyproxy/files/tinyproxy-1.10.0.service b/net-proxy/tinyproxy/files/tinyproxy-1.10.0.service
new file mode 100644
index 00000000000..e7831009877
--- /dev/null
+++ b/net-proxy/tinyproxy/files/tinyproxy-1.10.0.service
@@ -0,0 +1,9 @@
+[Unit]
+Description=Tinyproxy Web Proxy Server
+After=network.target
+
+[Service]
+ExecStart=/usr/bin/tinyproxy -d -c /etc/tinyproxy/tinyproxy.conf
+
+[Install]
+WantedBy=multi-user.target
diff --git a/net-proxy/tinyproxy/tinyproxy-1.10.0.ebuild b/net-proxy/tinyproxy/tinyproxy-1.10.0-r1.ebuild
similarity index 93%
rename from net-proxy/tinyproxy/tinyproxy-1.10.0.ebuild
rename to net-proxy/tinyproxy/tinyproxy-1.10.0-r1.ebuild
index ea8b9f2b083..bb01f626907 100644
--- a/net-proxy/tinyproxy/tinyproxy-1.10.0.ebuild
+++ b/net-proxy/tinyproxy/tinyproxy-1.10.0-r1.ebuild
@@ -58,8 +58,8 @@ src_install() {
diropts -m0775 -o ${PN} -g ${PN}
keepdir /var/log/${PN}
- newinitd "${FILESDIR}"/${PN}-1.8.3-r2.initd tinyproxy
- systemd_dounit "${FILESDIR}"/${PN}.service
+ newinitd "${FILESDIR}"/${PN}-1.10.0.initd tinyproxy
+ systemd_dounit "${FILESDIR}"/${PN}-1.10.0.service
systemd_dotmpfilesd "${FILESDIR}"/${PN}.tmpfiles.conf
}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-proxy/tinyproxy/files/, net-proxy/tinyproxy/
@ 2021-02-27 14:04 Ben Kohler
0 siblings, 0 replies; 4+ messages in thread
From: Ben Kohler @ 2021-02-27 14:04 UTC (permalink / raw
To: gentoo-commits
commit: 4be775bc194d21884e76e9648f292850b2362d93
Author: Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 27 14:02:53 2021 +0000
Commit: Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Sat Feb 27 14:02:53 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4be775bc
net-proxy/tinyproxy: drop old
Package-Manager: Portage-3.0.16, Repoman-3.0.2
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>
net-proxy/tinyproxy/Manifest | 1 -
net-proxy/tinyproxy/files/tinyproxy.service | 9 ----
net-proxy/tinyproxy/tinyproxy-1.10.0-r1.ebuild | 71 --------------------------
3 files changed, 81 deletions(-)
diff --git a/net-proxy/tinyproxy/Manifest b/net-proxy/tinyproxy/Manifest
index 70424c11705..123fc01f106 100644
--- a/net-proxy/tinyproxy/Manifest
+++ b/net-proxy/tinyproxy/Manifest
@@ -1,2 +1 @@
-DIST tinyproxy-1.10.0.tar.xz 176060 BLAKE2B 58f9b443c731de6b74d689a80ebd422d3b6f51f643546ee144b37fb3262725246f6a5fa1015267a94f192f8715eaf71ffc078ead75e6225a210f58ec28ee8fcf SHA512 8d82598c5f9c89bc672f4632139ac52696d5c7788963de51688a8aeb576c69004f8338fe1e1897bf704a21dfd25ab1effb092003b6afaa9a88c2b5d0608310f5
DIST tinyproxy-1.11.0-rc1.tar.xz 176732 BLAKE2B a448c90b17a8d3256aec1dba4307e9bce87ac421a67486e4987afbf22e49041971138f09e98a4a775cc05071b73b4f1b34e652eb2c0992b2a5fa1861a0df26b2 SHA512 e1d05777072d178c66d1f007163bcb4b3a0b1dfdf460881daaf962b5f1c0d0213ec5403bf50c161d811f46c8b50a476cd534f535962ec01b70fbb955471c1af1
diff --git a/net-proxy/tinyproxy/files/tinyproxy.service b/net-proxy/tinyproxy/files/tinyproxy.service
deleted file mode 100644
index 4d860df7693..00000000000
--- a/net-proxy/tinyproxy/files/tinyproxy.service
+++ /dev/null
@@ -1,9 +0,0 @@
-[Unit]
-Description=Tinyproxy Web Proxy Server
-After=network.target
-
-[Service]
-ExecStart=/usr/sbin/tinyproxy -d -c /etc/tinyproxy.conf
-
-[Install]
-WantedBy=multi-user.target
diff --git a/net-proxy/tinyproxy/tinyproxy-1.10.0-r1.ebuild b/net-proxy/tinyproxy/tinyproxy-1.10.0-r1.ebuild
deleted file mode 100644
index 8bca4032ebe..00000000000
--- a/net-proxy/tinyproxy/tinyproxy-1.10.0-r1.ebuild
+++ /dev/null
@@ -1,71 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit autotools systemd tmpfiles user
-
-DESCRIPTION="A lightweight HTTP/SSL proxy"
-HOMEPAGE="https://github.com/tinyproxy/tinyproxy/"
-SRC_URI="https://github.com/tinyproxy/tinyproxy/releases/download/${PV}/${P}.tar.xz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~ia64 ppc ~sparc x86"
-
-IUSE="test debug +filter-proxy reverse-proxy transparent-proxy
-+upstream-proxy +xtinyproxy-header"
-RESTRICT="!test? ( test )"
-
-REQUIRED_USE="test? ( xtinyproxy-header )"
-
-pkg_setup() {
- enewgroup ${PN}
- enewuser ${PN} "" "" "" ${PN}
-}
-
-src_prepare() {
- default
-
- sed -i \
- -e "s|nobody|${PN}|g" \
- etc/${PN}.conf.in || die "sed failed"
-
- eautoreconf
-}
-
-src_configure() {
- econf \
- $(use_enable debug) \
- $(use_enable filter-proxy filter) \
- $(use_enable reverse-proxy reverse) \
- $(use_enable transparent-proxy transparent) \
- $(use_enable upstream-proxy upstream) \
- $(use_enable xtinyproxy-header xtinyproxy) \
- --localstatedir=/var
-}
-
-src_test() {
- # The make check target does not run the test suite
- emake test
-}
-
-src_install() {
- default
-
- dodoc AUTHORS ChangeLog NEWS README TODO
-
- diropts -m0775 -o ${PN} -g ${PN}
- keepdir /var/log/${PN}
-
- newinitd "${FILESDIR}"/${PN}-1.10.0.initd tinyproxy
- systemd_newunit "${FILESDIR}"/${PN}-1.10.0.service tinyproxy.service
- dotmpfiles "${FILESDIR}"/${PN}.tmpfiles.conf
-}
-
-pkg_postinst() {
- tmpfiles_process ${PN}.tmpfiles.conf
-
- elog "For filtering domains and URLs, enable filter option in the configuration"
- elog "file and add them to the filter file (one domain or URL per line)."
-}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-proxy/tinyproxy/files/, net-proxy/tinyproxy/
@ 2025-02-27 18:54 Ben Kohler
0 siblings, 0 replies; 4+ messages in thread
From: Ben Kohler @ 2025-02-27 18:54 UTC (permalink / raw
To: gentoo-commits
commit: 27231d632f1c4ba2d3f8e18ee85530f64e0d3ace
Author: Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Wed Feb 12 20:23:07 2025 +0000
Commit: Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Thu Feb 27 18:53:18 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27231d63
net-proxy/tinyproxy: enable PidFile option by default
OpenRC relies on PidFile value to detect that service is running. By
default, this option is commented out, and OpenRC marks tinyproxy
service as crashed.
Applied upstream patch that define @runstatedir@ (/run) for for PID
file instead of @localstatedir@ (/var).
Closes: https://bugs.gentoo.org/949682
Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>
.../files/tinyproxy-1.11.2_use-runstatedir.patch | 89 ++++++++++++++++++++++
net-proxy/tinyproxy/tinyproxy-1.11.2-r1.ebuild | 83 ++++++++++++++++++++
2 files changed, 172 insertions(+)
diff --git a/net-proxy/tinyproxy/files/tinyproxy-1.11.2_use-runstatedir.patch b/net-proxy/tinyproxy/files/tinyproxy-1.11.2_use-runstatedir.patch
new file mode 100644
index 000000000000..4bc7d47a961b
--- /dev/null
+++ b/net-proxy/tinyproxy/files/tinyproxy-1.11.2_use-runstatedir.patch
@@ -0,0 +1,89 @@
+https://github.com/tinyproxy/tinyproxy/commit/942d0c6b03673ad816c42176422d7fe691143064
+From 942d0c6b03673ad816c42176422d7fe691143064 Mon Sep 17 00:00:00 2001
+From: Mohamed Akram <mohd.akram@outlook.com>
+Date: Sun, 2 Jun 2024 18:52:59 +0400
+Subject: [PATCH] Use appropriate installation path variables
+
+--- a/configure.ac
++++ b/configure.ac
+@@ -173,6 +173,9 @@ fi
+ dnl
+ dnl Substitute the variables into the various Makefiles
+ dnl
++# runstatedir isn't available for Autoconf < 2.70
++AS_IF([test -z "${runstatedir}"], [runstatedir='${localstatedir}/run'])
++AC_SUBST([runstatedir])
+ AC_SUBST(CFLAGS)
+ AC_SUBST(LDFLAGS)
+ AC_SUBST(CPPFLAGS)
+@@ -220,7 +223,6 @@ docs/Makefile
+ docs/man5/Makefile
+ docs/man5/tinyproxy.conf.txt
+ docs/man8/Makefile
+-docs/man8/tinyproxy.txt
+ m4macros/Makefile
+ tests/Makefile
+ tests/scripts/Makefile
+--- a/docs/man8/Makefile.am
++++ b/docs/man8/Makefile.am
+@@ -9,6 +9,17 @@ M_NAME=TINYPROXY
+ man_MANS = \
+ $(MAN8_FILES:.txt=.8)
+
++edit = sed \
++ -e 's|@localstatedir[@]|$(localstatedir)|g' \
++ -e 's|@runstatedir[@]|$(runstatedir)|g' \
++ -e 's|@sysconfdir[@]|$(sysconfdir)|g' \
++ -e 's|@TINYPROXY_STATHOST[@]|$(TINYPROXY_STATHOST)|g'
++
++tinyproxy.txt: $(top_srcdir)/docs/man8/tinyproxy.txt.in Makefile
++ @rm -f $@ $@.tmp
++ $(AM_V_GEN) $(edit) $(top_srcdir)/docs/man8/$@.in > $@.tmp
++ @mv $@.tmp $@
++
+ .txt.8:
+ if HAVE_POD2MAN
+ $(AM_V_GEN) $(POD2MAN) --center="Tinyproxy manual" \
+--- a/docs/man8/tinyproxy.txt.in
++++ b/docs/man8/tinyproxy.txt.in
+@@ -156,7 +156,11 @@ configuration variable `StatFile`.
+
+ =head1 FILES
+
+-`/etc/tinyproxy/tinyproxy.conf`, `/var/run/tinyproxy/tinyproxy.pid`, `/var/log/tinyproxy/tinyproxy.log`
++F<@sysconfdir@/tinyproxy/tinyproxy.conf>
++
++F<@runstatedir@/tinyproxy/tinyproxy.pid>
++
++F<@localstatedir@/log/tinyproxy/tinyproxy.log>
+
+ =head1 BUGS
+
+--- a/etc/Makefile.am
++++ b/etc/Makefile.am
+@@ -12,6 +12,7 @@ edit = sed \
+ -e 's|@datarootdir[@]|$(datarootdir)|g' \
+ -e 's|@pkgsysconfdir[@]|$(pkgsysconfdir)|g' \
+ -e 's|@localstatedir[@]|$(localstatedir)|g' \
++ -e 's|@runstatedir[@]|$(runstatedir)|g' \
+ -e 's|@pkgdatadir[@]|$(pkgdatadir)|g' \
+ -e 's|@prefix[@]|$(prefix)|g' \
+ -e 's|@TINYPROXY_STATHOST[@]|$(TINYPROXY_STATHOST)|g'
+--- a/etc/tinyproxy.conf.in
++++ b/etc/tinyproxy.conf.in
+@@ -124,7 +124,7 @@ LogLevel Info
+ # can be used for signalling purposes.
+ # If not specified, no pidfile will be written.
+ #
+-#PidFile "@localstatedir@/run/tinyproxy/tinyproxy.pid"
++#PidFile "@runstatedir@/tinyproxy/tinyproxy.pid"
+
+ #
+ # XTinyproxy: Tell Tinyproxy to include the X-Tinyproxy header, which
+@@ -320,6 +320,3 @@ ViaProxyName "tinyproxy"
+ # If not set then no rewriting occurs.
+ #
+ #ReverseBaseURL "http://localhost:8888/"
+-
+-
+-
diff --git a/net-proxy/tinyproxy/tinyproxy-1.11.2-r1.ebuild b/net-proxy/tinyproxy/tinyproxy-1.11.2-r1.ebuild
new file mode 100644
index 000000000000..ce51d00216f5
--- /dev/null
+++ b/net-proxy/tinyproxy/tinyproxy-1.11.2-r1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools systemd tmpfiles
+
+DESCRIPTION="A lightweight HTTP/SSL proxy"
+HOMEPAGE="https://github.com/tinyproxy/tinyproxy/"
+SRC_URI="https://github.com/tinyproxy/tinyproxy/releases/download/${PV}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ppc ~sparc ~x86"
+
+IUSE="test debug +filter-proxy reverse-proxy transparent-proxy +upstream-proxy +xtinyproxy-header"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( xtinyproxy-header )"
+
+DEPEND="
+ acct-group/tinyproxy
+ acct-user/tinyproxy
+"
+
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+ "${FILESDIR}/tinyproxy-1.11.2_use-runstatedir.patch"
+)
+
+src_prepare() {
+ default
+
+ # Enable and change PidFile location, OpenRC relies on it
+ sed -i \
+ -e "s|nobody|${PN}|g" \
+ -e "s|^#PidFile |PidFile |g" \
+ etc/${PN}.conf.in || die "sed failed"
+
+ sed -i -e "s# -Wp,-D_FORTIFY_SOURCE=2##" configure.ac || die "sed failed"
+
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable debug) \
+ $(use_enable filter-proxy filter)
+ $(use_enable reverse-proxy reverse)
+ $(use_enable transparent-proxy transparent)
+ $(use_enable upstream-proxy upstream)
+ $(use_enable xtinyproxy-header xtinyproxy)
+ --localstatedir=/var
+ --runstatedir=/run
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_test() {
+ # The make check target does not run the test suite
+ emake test
+}
+
+src_install() {
+ default
+
+ dodoc AUTHORS README.md
+
+ diropts -m0775 -o ${PN} -g ${PN}
+ keepdir /var/log/${PN}
+
+ newinitd "${FILESDIR}"/${PN}-1.10.0.initd tinyproxy
+ systemd_newunit "${FILESDIR}"/${PN}-1.10.0.service tinyproxy.service
+ dotmpfiles "${FILESDIR}"/${PN}.tmpfiles.conf
+}
+
+pkg_postinst() {
+ tmpfiles_process ${PN}.tmpfiles.conf
+
+ elog "For filtering domains and URLs, enable filter option in the configuration"
+ elog "file and add them to the filter file (one domain or URL per line)."
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
end of thread, other threads:[~2025-02-27 18:54 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-02-27 18:54 [gentoo-commits] repo/gentoo:master commit in: net-proxy/tinyproxy/files/, net-proxy/tinyproxy/ Ben Kohler
-- strict thread matches above, loose matches on Subject: below --
2021-02-27 14:04 Ben Kohler
2018-10-09 13:46 Ben Kohler
2016-05-03 19:17 Austin English
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox